## python-fixtures 0.3.14

=== Makefile ===
PYTHONPATH:=$(shell pwd)/lib:${PYTHONPATH}
PYTHON ?= python

all: check

check:
	PYTHONPATH=$(PYTHONPATH) $(PYTHON) -m testtools.run \
	    fixtures.test_suite

clean:
	find . -name '*.pyc' -print0 | xargs -0 rm -f

TAGS: lib/fixtures/*.py lib/fixtures/tests/*.py
	ctags -e -R lib/fixtures/

tags: lib/fixtures/*.py lib/fixtures/tests/*.py
	ctags -R lib/fixtures/

.PHONY: all check clean

## python-fixtures 0.3.12

=== debian/changelog ===
python-fixtures (0.3.12-0ubuntu2) raring; urgency=low

  * debian/rules: Disable testsuite temporarily. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 29 Dec 2012 17:47:32 -0600

python-fixtures (0.3.12-0ubuntu1) raring; urgency=low

  * New upstream release. 
  * Switch to source format 3.0
  * debian/watch: Added watchfile.

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 29 Dec 2012 17:09:41 -0600

python-fixtures (0.3.9-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 22 Nov 2012 09:16:06 -0600

python-fixtures (0.3.6-1.1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1030763), remaining changes:
    - Build using dh_python2

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 01 Aug 2012 13:27:33 +0200

python-fixtures (0.3.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: AttributeError: 'BrokenFixture' object has no attribute
    'items'": add patch from Emanuele Aina (add missing calls to
    getDetails()).
    (Closes: #665018)

 -- gregor herrmann <gregoa@debian.org>  Fri, 06 Jul 2012 16:48:36 -0600

python-fixtures (0.3.6-1ubuntu1) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 14:13:32 +0000

python-fixtures (0.3.6-1) unstable; urgency=low

  * New upstream release.
  * Runtime dependency on testtools due to upstream change.

 -- Robert Collins <robertc@robertcollins.net>  Thu, 23 Jun 2011 20:40:06 +1200

python-fixtures (0.3.5-1) unstable; urgency=low

  * First debian upload. Closes: #602685
  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 07 Nov 2010 19:50:46 +1300

python-fixtures (0.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Tue, 26 Oct 2010 09:31:20 +1300

python-fixtures (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sat, 18 Sep 2010 15:07:46 +1200

python-fixtures (0.2-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 12 Sep 2010 10:53:42 +1200

=== debian/control ===
Source: python-fixtures
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Collins <robertc@robertcollins.net>
Build-Depends: debhelper (>= 5.0.38), cdbs (>= 0.4.49),
 python-all-dev (>= 2.3.5-11)
Build-Depends-Indep: python-docutils, python (>= 2.6.6-3~),
  python-testtools (>= 0.9.11)
Standards-Version: 3.9.3

Package: python-fixtures
Architecture: all
Depends: python-testtools (>= 0.9.11), ${python:Depends}, ${misc:Depends}
Description: PyUnit extension for defining test fixtures outside of test cases
 A PyUnit extension for defining test fixtures outside of test cases. Each
 fixture encapsulates creating, reusing and freeing some state - be that a 
 temporary directory on disk, SQL server connection, or just a particular
 object graph. This is extremely useful for testing and general resource
 management.
 .
 Fixtures ships with the base class, unittest glue and a number of precanned
 concrete fixtures.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	-rm -rf build
	-rm tests.log
	find . -name "*.pyc" -print0 | xargs -0 rm -f

# In the event of
#common-post-build-indep::
#	PYTHONPATH=lib python -m testtools.run fixtures.test_suite

## python-fixtures 0.3.14

=== debian/changelog ===
python-fixtures (0.3.14-1ubuntu2) trusty; urgency=medium

  * d/control: Build-Depend on python3-all.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 16 Jan 2014 10:47:08 -0500

python-fixtures (0.3.14-1ubuntu1) trusty; urgency=low

  * Drop not-needed python-support build-depends.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 12 Nov 2013 15:37:41 +0000

python-fixtures (0.3.14-1) unstable; urgency=low

  * New upstream release.
  * Switched to dh short style instead of CDBS.
  * Added support for Python 3.
  * Added a debian/gbp.conf, and some VCS fields.
  * Now running the nose tests.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Sep 2013 10:46:53 +0800

python-fixtures (0.3.12-0.2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 04:54:53 +0000

python-fixtures (0.3.12-0.1) experimental; urgency=low

  * Non-maintainer upload (with current maintainer approval).
  * Uploading to experimental.
  * New upstream release.
  * Now using compat and debhelper 9.
  * Using parsable format 1.0 for debian/copyright.
  * Now using source format 3.0 (quilt).
  * Build-depends on python (>= 2.6.6-3~), remove python-dev build-depends.
  * Standard-Version is now 3.9.4 (no change but the above).
  * Added a debian/watch file.
  * Disabled test suite as it fails.
  * Added a homepage field.
  * Removes /usr/share/cdbs/1/rules/simple-patchsys.mk since it's now
    deprecated.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Feb 2013 05:23:19 +0000

=== debian/control ===
Source: python-fixtures
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Collins <robertc@robertcollins.net>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               python (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-docutils,
                     python-nose,
                     python-testtools (>= 0.9.11),
                     python3-testtools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-fixtures.git
Vcs-Git: git://anonscm.debian.org/openstack/python-fixtures.git
Homepage: http://pypi.python.org/pypi/fixtures

Package: python-fixtures
Architecture: all
Depends: python-testtools (>= 0.9.11), ${misc:Depends}, ${python:Depends}
Description: PyUnit extension for defining test fixtures outside of test cases - Python 2.x
 A PyUnit extension for defining test fixtures outside of test cases. Each
 fixture encapsulates creating, reusing and freeing some state - be that a
 temporary directory on disk, SQL server connection, or just a particular
 object graph. This is extremely useful for testing and general resource
 management.
 .
 Fixtures ships with the base class, unittest glue and a number of precanned
 concrete fixtures.
 .
 This package provides the Python 2.x module.

Package: python3-fixtures
Architecture: all
Depends: python3-testtools (>= 0.9.11), ${misc:Depends}, ${python3:Depends}
Description: PyUnit extension for defining test fixtures outside of test cases - Python 3.x
 A PyUnit extension for defining test fixtures outside of test cases. Each
 fixture encapsulates creating, reusing and freeing some state - be that a
 temporary directory on disk, SQL server connection, or just a particular
 object graph. This is extremely useful for testing and general resource
 management.
 .
 Fixtures ships with the base class, unittest glue and a number of precanned
 concrete fixtures.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-fixtures; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-fixtures; \
	done

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	find . -iname '*.pyc' -delete

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	nosetests || true
endif

## python-fixtures 1.0.0

=== requirements.txt ===
testtools>=0.9.22

=== debian/changelog ===
python-fixtures (1.0.0-01ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/control: Add python-pbr 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Nov 2014 09:11:46 -0500

python-fixtures (0.3.14-1.1ubuntu1) utopic; urgency=medium

  * debian/control: Remove python-support.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 18 Jun 2014 10:38:19 -0400

python-fixtures (0.3.14-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Depend on python-all and python3-all so that all supported
    versions are available (Closes: #739139, #735577)
  * Properly enable tests for all supported versions, and stop
    ignoring the results

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 23 Mar 2014 11:21:14 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 XSBC-Original-Maintainer: Robert Collins <robertc@robertcollins.net>
 Uploaders: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
-               python (>= 2.6.6-3~),
+               python-all (>= 2.6.6-3~),
                python-setuptools,
+               python-pbr,
+               python3-pbr,
                python3-all,
                python3-setuptools
 Build-Depends-Indep: python-docutils,

## python-fixtures 1.3.1

=== debian/changelog ===
python-fixtures (1.3.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch to use Github tag rather than broken PyPi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 13:07:22 +0000

python-fixtures (1.3.1-1) experimental; urgency=low

  * New upstream release.
  * Removed the tarball folder config in debian/gbp.conf.
  * Removed python-support as build-depends-indep, switched from python to
    python-all as build-depends.
  * Added dh-python as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 23:26:02 +0200

=== debian/control ===
Source: python-fixtures
Section: python
Priority: optional
Maintainer: Robert Collins <robertc@robertcollins.net>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 0.11),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 0.11),
               python3-setuptools,
Build-Depends-Indep: python-docutils,
                     python-mock,
                     python-nose,
                     python-six,
                     python-testtools,
                     python3-mock,
                     python3-six,
                     python3-testtools,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-fixtures.git
Vcs-Git: git://anonscm.debian.org/openstack/python-fixtures.git
Homepage: http://pypi.python.org/pypi/fixtures

Package: python-fixtures
Architecture: all
Depends: python-pbr (>= 0.11),
         python-six,
         python-testtools,
         ${misc:Depends},
         ${python:Depends},
Description: PyUnit extension for defining test fixtures outside of test cases - Python 2.x
 A PyUnit extension for defining test fixtures outside of test cases. Each
 fixture encapsulates creating, reusing and freeing some state - be that a
 temporary directory on disk, SQL server connection, or just a particular
 object graph. This is extremely useful for testing and general resource
 management.
 .
 Fixtures ships with the base class, unittest glue and a number of precanned
 concrete fixtures.
 .
 This package provides the Python 2.x module.

Package: python3-fixtures
Architecture: all
Depends: python3-pbr (>= 0.11),
         python3-six,
         python3-testtools,
         ${misc:Depends},
         ${python3:Depends},
Description: PyUnit extension for defining test fixtures outside of test cases - Python 3.x
 A PyUnit extension for defining test fixtures outside of test cases. Each
 fixture encapsulates creating, reusing and freeing some state - be that a
 temporary directory on disk, SQL server connection, or just a particular
 object graph. This is extremely useful for testing and general resource
 management.
 .
 Fixtures ships with the base class, unittest glue and a number of precanned
 concrete fixtures.
 .
 This package provides the Python 3.x module.

=== debian/watch ===
version=3
https://github.com/testing-cabal/fixtures/tags .*/(\d[\d\.]+)\.tar\.gz

## python-fixtures 3.0.0

=== debian/changelog ===
python-fixtures (3.0.0-3build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:52:51 +0000

python-fixtures (3.0.0-3) unstable; urgency=medium

  * Removed d/gbp.conf.
  * Ran wrap-and-sort -bast.
  * Point VCS fields to Salsa.
  * Adopt the package in the OpenStack team, since Robert Collins resigned
    from Debian (Closes: #920510).
  * Removed build-dependency on python-docutils (Closes: #635259).
  * Removed Python 2 support (Closes: #937756).
  * Use python3 -m testtools.run fixtures.test_suite to run tests.
  * Removed build-dependency on python3-nose.
  * Standards-Version is now 4.4.0.

 -- Thomas Goirand <zigo@debian.org>  Sun, 15 Sep 2019 17:27:02 +0200

python-fixtures (3.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 10:53:50 +0200

python-fixtures (3.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Ivan Udovichenko ]
  * Package new version.
  * d/control:
      - Remove python*-mock dependencies.
      - Add myself to uploaders list.

  [ Thomas Goirand ]
  * Switch to openstack-pkg-tools >= 52 debian/rules commands.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 08:32:37 +0000

=== debian/control ===
Source: python-fixtures
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-mock,
 python3-six,
 python3-testtools,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-fixtures
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-fixtures.git
Homepage: https://github.com/testing-cabal/fixtures

Package: python3-fixtures
Architecture: all
Depends:
 python3-pbr,
 python3-six,
 python3-testtools,
 ${misc:Depends},
 ${python3:Depends},
Description: PyUnit extension for defining test fixtures outside of test cases - Python 3.x
 A PyUnit extension for defining test fixtures outside of test cases. Each
 fixture encapsulates creating, reusing and freeing some state - be that a
 temporary directory on disk, SQL server connection, or just a particular
 object graph. This is extremely useful for testing and general resource
 management.
 .
 Fixtures ships with the base class, unittest glue and a number of precanned
 concrete fixtures.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/testing-cabal/fixtures.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -x ; set -e ; for i in $(PYTHON3S) ; do \
		python$$i -m testtools.run fixtures.test_suite ; \
	done
endif

## python-fixtures 4.0.1

=== Makefile ===
PYTHON ?= python

all: check

check:
	$(PYTHON) -m testtools.run fixtures.test_suite

clean:
	find . -name '*.pyc' -print0 | xargs -0 rm -f

TAGS: fixtures/*.py fixtures/tests/*.py
	ctags -e -R fixtures/

tags: fixtures/*.py fixtures/tests/*.py
	ctags -R fixtures/

.PHONY: all check clean

=== debian/changelog ===
python-fixtures (4.0.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1047498).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 12:42:25 +0200

python-fixtures (4.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:32:48 +0200

python-fixtures (4.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add autopkgtest.
  * Remove test patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 14:59:12 +0200

python-fixtures (3.0.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Add remove-broken-monkey-patch-test.patch (Close: #973239).

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Nov 2020 11:49:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
+ python3-all,
+ python3-pbr (>= 5.7.0),
+ python3-setuptools,
  python3-sphinx,
- python3-all,
- python3-pbr,
- python3-setuptools,
 Build-Depends-Indep:
  python3-mock,
- python3-six,
  python3-testtools,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-fixtures
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-fixtures.git
 Homepage: https://github.com/testing-cabal/fixtures
@@ -24,8 +23,7 @@
 Package: python3-fixtures
 Architecture: all
 Depends:
- python3-pbr,
- python3-six,
+ python3-pbr (>= 5.7.0),
  python3-testtools,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
 	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-fixtures 4.1.0

=== debian/changelog ===
python-fixtures (4.1.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090501).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:54:09 +0100

python-fixtures (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:13:40 +0200

python-fixtures (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Feb 2024 11:05:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info

## python-fixtures 4.2.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PYTHON ?= python
+PYTHON ?= python3
 
 all: check

=== debian/changelog ===
python-fixtures (4.2.5-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 15:03:09 +0200

python-fixtures (4.2.5-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Create fixtures/_version.py file at build time.
  * Do not override_dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 17:26:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,11 @@
  debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-pbr (>= 5.7.0),
+ python3-hatch-vcs,
+ python3-hatchling,
+ python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,14 @@
 	rm -rf build .stestr *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -f fixtures/_version.py
 
 override_dh_auto_build:
-	echo "Do nothing..."
+	echo "__version__ = '$(PBR_VERSION)'" >fixtures/_version.py
+	dh_auto_build
 
-override_dh_auto_install:
-	pkgos-dh_auto_install --no-py2
-
+override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
 	set -x ; set -e ; for i in $(PYTHON3S) ; do \
 		python$$i -m testtools.run fixtures.test_suite ; \
 	done

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 @builddeps@,
Restrictions:
 allow-stderr needs-root,

=== debian/watch ===
version=3
http://pypi.python.org/packages/f/fixtures/fixtures-(.*)\.tar.gz

## python-fixtures 4.3.0

=== debian/changelog ===
python-fixtures (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed testtools-2.8.2-TestSkipped-is-removed.patch not needed anymore.
  * Change path where testool finds the unit tests as upstream changed it.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 15:43:39 +0100

python-fixtures (4.2.5-5) unstable; urgency=medium

  * Cleans better (Closes: #1047498).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 17:59:38 +0100

python-fixtures (4.2.5-4) unstable; urgency=medium

  * Add testtools-2.8.2-TestSkipped-is-removed.patch (Closes: #1124197).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Dec 2025 09:46:51 +0100

python-fixtures (4.2.5-3) unstable; urgency=medium

  * Removed build-depends on python3-mock (Closes: #1112194).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 11:59:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info
+	rm -rf build .stestr *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 	rm -f fixtures/_version.py
@@ -19,6 +19,6 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -x ; set -e ; for i in $(PYTHON3S) ; do \
-		python$$i -m testtools.run fixtures.test_suite ; \
+		python$$i -m testtools.run tests.test_suite ; \
 	done
 endif
